Share Folder
Share a folder with collaborators.
Most sharing will be completed synchronously. Large folders will be
completed asynchronously. To make testing the async case repeatable, set
ShareFolderArg.force_async.
If a ShareFolderLaunch.async_job_id is returned, you’ll need to
call check_share_job_status until the action completes to get the
metadata for the folder.
Required scope: sharing.write
Endpoint format: RPC
Authentication: User, Dropbox-API-Select-Admin (Team Admin)
This endpoint does not support apps with the app folder permission.
Authentication
OAuth 2.0 token issued to a specific user. Use Authorization: Bearer <token>.
Public clients should use the authorization code flow with PKCE (S256).
For background or offline access, send token_access_type=offline during authorization and use the returned refresh token to obtain new access tokens.
You can generate a short-lived access token from the App Console; see Testing with a generated token.
Headers
Acts on behalf of a team member for supported user-auth operations. Pass a team member ID such as dbmid:.... When used with a team token, that token must also include the team_data.member scope.
Acts as the specified team admin for supported user-auth operations. Pass a team member ID for an admin account. When used with a team token, that token must also include the team_data.member scope.
Scopes path-based operations to a namespace (root). The value is a JSON serialization of the common.PathRoot union: {".tag": "home"}, {".tag": "root", "root": "<namespace_id>"}, or {".tag": "namespace_id", "namespace_id": "<namespace_id>"}. On failure the request returns 422 with a common.PathRootError.
Request
A list of FolderActions corresponding to FolderPermissions that should appear in the
response’s SharedFolderMetadata.permissions field describing the actions the
authenticated user can perform on the folder.
Who can enable/disable viewer info for this shared folder.